## EEmoticonChooser EEmoticonChooser |

## Synopsis

                        EEmoticonChooser;
    struct              EEmoticonChooserInterface;
    EEmoticon *         e_emoticon_chooser_get_current_emoticon
                                                            (EEmoticonChooser *chooser);
    void                e_emoticon_chooser_set_current_emoticon
                                                            (EEmoticonChooser *chooser,
                                                             EEmoticon *emoticon);
    void                e_emoticon_chooser_item_activated   (EEmoticonChooser *chooser);
    GList *             e_emoticon_chooser_get_items        (void);
    const EEmoticon *   e_emoticon_chooser_lookup_emoticon  (const gchar *icon_name);

## Object Hierarchy

      GInterface
       +----EEmoticonChooser

## Prerequisites

EEmoticonChooser requires GObject.

## Known Implementations

EEmoticonChooser is implemented by EEmoticonAction, EEmoticonChooserMenu and EEmoticonToolButton.

## Properties

      "current-emoticon"         EEmoticon*            : Read / Write

## Signals

      "item-activated"                                 : Run Last

## Description

## Details

### EEmoticonChooser

    typedef struct _EEmoticonChooser EEmoticonChooser;

### struct EEmoticonChooserInterface

    struct EEmoticonChooserInterface {
    	GTypeInterface parent_interface;

    	/* Methods */
    	EEmoticon * (*get_current_emoticon) (EEmoticonChooser *chooser);
    	void		(*set_current_emoticon) (EEmoticonChooser *chooser,
    						 EEmoticon *emoticon);

    	/* Signals */
    	void		(*item_activated) (EEmoticonChooser *chooser);
    };

### e_emoticon_chooser_get_current_emoticon ()

    EEmoticon *         e_emoticon_chooser_get_current_emoticon
                                                            (EEmoticonChooser *chooser);

### e_emoticon_chooser_set_current_emoticon ()

    void                e_emoticon_chooser_set_current_emoticon
                                                            (EEmoticonChooser *chooser,
                                                             EEmoticon *emoticon);

### e_emoticon_chooser_item_activated ()

    void                e_emoticon_chooser_item_activated   (EEmoticonChooser *chooser);

### e_emoticon_chooser_get_items ()

    GList *             e_emoticon_chooser_get_items        (void);

### e_emoticon_chooser_lookup_emoticon ()

    const EEmoticon *   e_emoticon_chooser_lookup_emoticon  (const gchar *icon_name);

## Property Details

### The `"current-emoticon"` property

      "current-emoticon"         EEmoticon*            : Read / Write

Currently selected emoticon.

## Signal Details

### The `"item-activated"` signal

    void                user_function                      (EEmoticonChooser *eemoticonchooser,
                                                            gpointer          user_data)             : Run Last